#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'ascii_paradise/requires/require_flexbox.rb'
require 'colours/autoinclude'

e 'The code here will test AsciiParadise::Flexbox next.'
e

e 'First: flexbox = AsciiParadise::Flexbox.new'
e
flexbox = AsciiParadise::Flexbox.new
e 'Is the flexbox empty? '+flexbox.empty?.to_s
e
array = %w( 1 2 3 4 5 6 7 8 9 )

flexbox.fill_the_table(array)
flexbox.set_title('Foxxy')
flexbox.colourize_border :slateblue
flexbox.display # Show it next.
flexbox.colourize_right_side_with_these_colours( %i( cadetblue paleturquoise steelblue ) )
flexbox.display {{ border: :steelblue }}
